| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# iengine/movable.h File Reference

Movable - position and orientation of an object. More...

`#include "csutil/scf.h"`
`#include "csutil/refarr.h"`

Go to the source code of this file.

## Classes
struct | iMovable
| This interface represents the position and orientation of an object relative to its parent (this is the transformation between local object space of the model and world space (i.e. More...
struct | iMovableListener
| Implement this class if you're interested in hearing about movable changes. More...

## Detailed Description

Movable - position and orientation of an object.

Definition in file movable.h.